About iMochaHelpBook a demo
About iMochaHelpBook a demo
  1. Learning
  • Introduction
  • Skills Assessment API
    • API Reference
      • Getting started
      • API Environment
      • Authentication Mechanism
      • Error Code
      • List timezones
    • Test
      • List all tests
      • Retrieve a test
      • Retrieve test settings
      • Update Test Settings
    • Test Invitations
      • Callback notification
      • Invite candidate
      • Invite candidate by test link
      • Bulk Invite
      • Reattempt Test
      • Cancel Invitation
    • Test Link
      • List all test links
      • Create Test Link
      • Update Test Link
    • Report
      • Retrieve candidate test report
      • Retrieve candidate test report in PDF
      • Get Reports By TestId
      • Get All Reports
    • Callback API
      • Process Callbacks
      • Retrieve Invites
    • GDPR
      • GDPR Data Masking Service
    • Users
      • Get all business units
      • Create New User
      • Update User
      • Active/ Inactive User
    • Tara Interview API
      • Introduction
      • Get All Interviews
      • Schedule Interview
      • Get Detailed Report
      • Get All Reports
  • Skills Intelligence API
    • Introduction
    • Authentication
    • Employee
      • List employees
      • Get Employee Skills by employeeId
      • Employee Enrollment
      • Get Employee Certificates
      • Update Employee Status
      • Get Employee Assessment Report
      • Upload Certificate for Employee
      • Upload Resume for Employee
      • List Employees with Skills Profile
      • Assign Learning to Employee
      • Get Employee Skill Gap
    • JobProfiles
      • Get All JobProfiles
      • Get JobProfile with Skills By JobProfileId
      • Create JobCode
    • Taxonomy
      • Get all Taxonomy Skills
    • CareerPath
      • Get Employee Career Path by employeeId
    • Account
      • Get Rubric Levels
      • Get Multichannel Validation Weightages
    • Learning
      • Create Learning Resources
        POST
      • Get all Learning Resources
        GET
    • Certificates
      • Create certificate with skills
      • Get all Certificates
  1. Learning

Create Learning Resources

Developing
POST
/learning/materials

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.skillsintelligence.imocha.io/learning/materials' \
--header 'X-Api-Key: <your-api-key>' \
--header 'Content-Type: application/json' \
--data '{
  "externalMaterialId": "EX0000010",
  "title": "Test Leaning Material",
  "learningMaterialTypeId": 1,
  "issuerId": 2,
  "skills": [
    {
      "taxonomySkillId": 60067,
      "proficiency": 5
    },
    {
      "taxonomySkillId": 60037,
      "proficiency": 1
    }
  ],
  "additionalInfo": "Test additional info",
  "url": "https://api.uptimesignal.io/test/200"
}'
Response Response Example
{
  "learningMaterialId": 1300,
  "externalMaterialId": "EX0000010",
  "title": "Test Leaning Material",
  "url": "https://api.uptimesignal.io/test/200",
  "learningMaterialTypeId": 1,
  "issuerId": 2,
  "additionalInformation": "Test additional info",
  "skills": [
    {
      "taxonomySkillId": 60067,
      "proficiency": 5
    },
    {
      "taxonomySkillId": 60037,
      "proficiency": 1
    }
  ]
}
Modified at 2026-09-02 09:23:56
Previous
Get Multichannel Validation Weightages
Next
Get all Learning Resources
Built with